﻿using Microsoft.Extensions.Logging;

namespace SteamGameTimeTrack;

public struct Config
{
    public string SteamId, ApiToken;
    public bool TrackFriends;
    public LogLevel LogLevel;
    public int ApiPort;
    
    public override string ToString()
    {
        return $"SteamId: {SteamId}\nTrack Friends: {(TrackFriends ? "yes" : "no")}\nApi-Port: {ApiPort}\nLogLevel: {Enum.GetName(LogLevel)}\nApiToken: ****{ApiToken.Substring(4, ApiToken.Length-4)}****";
    }
}